import { flags, SfdxCommand } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
export default class Install extends SfdxCommand {
    static description: string;
    static examples: string[];
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    protected static flagsConfig: {
        packagename: flags.Discriminated<flags.Option<string>>;
        isproduction: flags.Discriminated<flags.Boolean<boolean>>;
        patch: flags.Discriminated<flags.Option<string>>;
        allcoredeps: flags.Discriminated<flags.Boolean<boolean>>;
        dryrun: flags.Discriminated<flags.Boolean<boolean>>;
    };
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    installPackage(pack: any, targetUserName: any): boolean;
    getLatestProductionPackages(packageName: any, marketplaceResponse: any): {
        versionInt: any;
    };
    runInstallScript(installScript: any, targetUserName: any): void;
    installPackages(self: any, result: any): void;
    run(): Promise<AnyJson>;
}
