"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const execSync = require("child_process").execSync;
class Deploy extends command_1.SfdxCommand {
    runCmd(cmd) {
        console.log(cmd);
        execSync(cmd, { stdio: [0, 1, 2] });
    }
    async run() {
        this.runCmd(`sfdx fonteva:sfpm:install -d`);
        this.runCmd(`sfdx force:source:push -f -w 10 --targetusername ${this.flags.targetusername}`);
        return { foo: 'bar' };
    }
}
exports.default = Deploy;
Deploy.description = 'Meta-target for pushing code. Runs sfpm, then deploy';
Deploy.examples = [];
Deploy.args = [];
Deploy.flagsConfig = {
// flag with a value (-n, --name=VALUE)
// name: flags.string({char: 'n', description: messages.getMessage('nameFlagDescription')}),
// force: flags.boolean({char: 'f', description: messages.getMessage('forceFlagDescription')})
};
// Comment this out if your command does not require an org username
Deploy.requiresUsername = true;
// Comment this out if your command does not support a hub org username
Deploy.supportsDevhubUsername = false;
// Set this to true if your command requires a project workspace; 'requiresProject' is false by default
Deploy.requiresProject = true;
//# sourceMappingURL=push.js.map