"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const sfpm_1 = require("../../../shared/sfpm");
// @ts-ignore
class Copy extends command_1.SfdxCommand {
    async run() {
        this.flags.skip_npm = true;
        sfpm_1.doBuild(this);
        return { foo: 'bar' };
    }
}
exports.default = Copy;
Copy.description = 'Salesforce Package Manager';
Copy.examples = [];
Copy.args = [{ name: 'package', required: false }];
Copy.flagsConfig = {
    // flag with a value (-n, --name=VALUE)
    // name: flags.string({char: 'n', description: messages.getMessage('nameFlagDescription')}),
    // force: flags.boolean({char: 'f', description: messages.getMessage('forceFlagDescription')})
    namespace: command_1.flags.string({
        char: 'n',
        description: 'passed on to webpack as output.library. Use to namespace javascript libraries.'
    }),
    verbose: command_1.flags.boolean({
        char: 'v',
        description: 'verbose mode - don\'t clean up & print _extra_ console messages'
    }),
    debug: command_1.flags.boolean({ char: 'd', description: 'debug mode - don\'t clean up & print console messages' })
};
// Comment this out if your command does not require an org username
Copy.requiresUsername = false;
// Comment this out if your command does not support a hub org username
Copy.supportsDevhubUsername = false;
// Set this to true if your command requires a project workspace; 'requiresProject' is false by default
Copy.requiresProject = false;
//# sourceMappingURL=copy.js.map