"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const sfpm_1 = require("../../../shared/sfpm");
// @ts-ignore
class Install extends command_1.SfdxCommand {
    async run() {
        sfpm_1.doBuild(this);
        return { foo: 'bar' };
    }
}
exports.default = Install;
Install.description = 'Salesforce Package Manager';
Install.examples = [];
Install.args = [{ name: 'package', required: false }];
Install.flagsConfig = {
    // flag with a value (-n, --name=VALUE)
    // name: flags.string({char: 'n', description: messages.getMessage('nameFlagDescription')}),
    // force: flags.boolean({char: 'f', description: messages.getMessage('forceFlagDescription')})
    save: command_1.flags.boolean({ char: 's', description: 'pass-thru to npm' }),
    namespace: command_1.flags.string({
        char: 'n',
        description: 'passed on to webpack as output.library. Use to namespace javascript libraries.'
    }),
    'skip-npm': command_1.flags.boolean({ char: 'k', description: 'Skip the npm step. You probably shouldn\'t set this' }),
    verbose: command_1.flags.boolean({
        char: 'v',
        description: 'verbose mode - don\'t clean up & print _extra_ console messages'
    }),
    debug: command_1.flags.boolean({ char: 'd', description: 'debug mode - don\'t clean up & print console messages' })
};
// Comment this out if your command does not require an org username
Install.requiresUsername = false;
// Comment this out if your command does not support a hub org username
Install.supportsDevhubUsername = false;
// Set this to true if your command requires a project workspace; 'requiresProject' is false by default
Install.requiresProject = false;
//# sourceMappingURL=install.js.map