"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const utils_1 = require("../../../shared/utils");
const path = require("path");
class Deploy extends command_1.SfdxCommand {
    async run() {
        const directory = path.normalize(__dirname + '/../../../../sharingSets');
        const user = this.flags.targetusername ? `-u ${this.flags.targetusername}` : "";
        utils_1.echoCmdAndRun(`sfdx force:source:deploy -p ${directory} ${user}`);
        return { foo: 'bar' };
    }
}
exports.default = Deploy;
Deploy.description = 'Deploys sharing sets to your org';
Deploy.examples = [];
Deploy.args = [];
Deploy.flagsConfig = {};
// Comment this out if your command does not require an org username
Deploy.requiresUsername = true;
// Comment this out if your command does not support a hub org username
Deploy.supportsDevhubUsername = false;
// Set this to true if your command requires a project workspace; 'requiresProject' is false by default
Deploy.requiresProject = false;
//# sourceMappingURL=deploy.js.map