"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.doSwapInPlace = exports.isProdNS = exports.doSwap = void 0;
const copydir = require('copy-dir');
const replaceInFiles = require('replace-in-files');
const rimraf = require('rimraf');
const path = require('path');
const glob = require('glob');
const fs = require('fs');
const doSwapInPlace = async (sourcePath, namespace, targetNamespace) => {
    let options = { files: [] };
    options.files = [`${sourcePath}/**/**`];
    // @ts-ignore
    options.from = new RegExp(`${namespace}__`, 'g');
    // @ts-ignore
    options.to = `${targetNamespace}__`;
    await replaceInFiles(options);
    // @ts-ignore
    options.from = new RegExp(`${namespace}:`, 'g');
    // @ts-ignore
    options.to = `${targetNamespace}:`;
    await replaceInFiles(options);
    const files = glob.sync(`**/${namespace}*.*`, {});
    files.forEach(f => {
        fs.renameSync(f, f.replace(namespace, targetNamespace));
    });
};
exports.doSwapInPlace = doSwapInPlace;
const doSwap = async (sourcePath, namespace, targetNamespace) => {
    console.log(`Copying from ${sourcePath} to ./tmp and performing namespace swap from ${namespace} to ${targetNamespace}`);
    rimraf.sync(path.normalize('./tmp'));
    copydir.sync(path.normalize(sourcePath), './tmp');
    const doReplace = async (replace) => {
        console.log(`replacing ${replace.from} => ${replace.to} across the source-tree`);
        const options = {
            // Multiple files or globs
            files: [
                'tmp/**/*.*',
            ],
            from: new RegExp(replace.from, 'g'),
            to: replace.to,
        };
        await replaceInFiles(options);
    };
    const nsReplacement = targetNamespace === 'c' ? () => '' : `${targetNamespace}__`;
    await doReplace({ from: `${namespace}__`, to: nsReplacement });
    await doReplace({ from: `${namespace}:`, to: `${targetNamespace}:` });
    // Framework__tab isn't a namespace - it's a tab named Framework
    await doReplace({ from: `${targetNamespace}__tab`, to: `${namespace}__tab` });
    await doReplace({
        from: `<namespacePrefix>${namespace}</namespacePrefix>`,
        to: `<namespacePrefix>${targetNamespace}</namespacePrefix>`
    });
    await doReplace({ from: `String namespace = '${namespace}'`, to: `String namespace = '${targetNamespace}'` });
    await doReplace({ from: `String nsp = '${namespace}__'`, to: `String nsp = '${targetNamespace}__'` });
    await doReplace({ from: `@Deprecated`, to: () => '' }); //if we're swapping namespace, we aren't in the packaging org
    await doReplace({ from: `@deprecated`, to: () => '' }); //if we're swapping namespace, we aren't in the packaging org
};
exports.doSwap = doSwap;
const isProdNS = ns => ['LTE', 'FDS19R2', 'FDS19R1', 'OrderApi', 'FDService',
    'OrderApi', 'EventApi', 'PagesApi',
    'Framework', 'ROEApi', 'CPBase']
    .some(prodNS => prodNS.toLowerCase() === ns.toLowerCase());
exports.isProdNS = isProdNS;
//# sourceMappingURL=swap.js.map