"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.oneTimeScriptSync = exports.echoCmdAndRun = exports.getOrgNamespace = void 0;
const fs_1 = require("fs");
const execSync = require("child_process").execSync;
function getOrgNamespace(username) {
    const nsJson = execSync(`sfdx force:data:soql:query -q "SELECT NamespacePrefix FROM Organization" -u ${username} --json`);
    return JSON.parse(nsJson).result.records[0].NamespacePrefix;
}
exports.getOrgNamespace = getOrgNamespace;
function echoCmdAndRun(cmd) {
    console.log(cmd);
    return execSync(cmd, { stdio: [0, 1, 2] });
}
exports.echoCmdAndRun = echoCmdAndRun;
async function oneTimeScriptSync(scriptName, username, callback) {
    const scriptKey = `${username}::--::${scriptName}`;
    let alreadyRun = false;
    let config;
    if (fs_1.existsSync("fonteva-sfdx.json")) {
        const data = fs_1.readFileSync("fonteva-sfdx.json", "utf8");
        config = JSON.parse(data);
        alreadyRun = config.oneTimeScripts && config.oneTimeScripts[scriptKey];
    }
    else {
        config = {};
    }
    if (!alreadyRun) {
        await callback();
        config.oneTimeScripts = config.oneTimeScripts || {};
        config.oneTimeScripts[scriptKey] = Date.now();
        fs_1.writeFileSync("fonteva-sfdx.json", JSON.stringify(config));
    }
}
exports.oneTimeScriptSync = oneTimeScriptSync;
//# sourceMappingURL=utils.js.map